<form wire:submit.prevent="save" novalidate>
    <div class="row mb-3">
        <label for="code" class="col-sm-4 col-form-label">Branch Code</label>
        <div class="col-sm-8">
            <input type="text" class="form-control @error('code') is-invalid @enderror" id="code" wire:model="code" placeholder="Enter branch code">
            @error('code') <div class="invalid-feedback">{{ $message }}</div> @enderror
        </div>
    </div>

    <div class="row mb-3">
        <label for="name" class="col-sm-4 col-form-label">Branch Name</label>
        <div class="col-sm-8">
            <input type="text" class="form-control @error('name') is-invalid @enderror" id="name" wire:model="name" placeholder="Enter branch name">
            @error('name') <div class="invalid-feedback">{{ $message }}</div> @enderror
        </div>
    </div>

    <div class="row mb-3">
        <label for="details" class="col-sm-4 col-form-label">Details</label>
        <div class="col-sm-8">
            <input type="text" class="form-control @error('details') is-invalid @enderror" id="details" wire:model="details" placeholder="Enter branch details">
            @error('details') <div class="invalid-feedback">{{ $message }}</div> @enderror
        </div>
    </div>

    <div class="d-flex justify-content-end gap-2">
        <button type="button" class="btn btn-secondary" wire:click="cancel">Cancel</button>
        <button type="submit" class="btn btn-primary" wire:loading.attr="disabled" wire:target="save">
            @if($loading) <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span> Saving... @else Save @endif
        </button>
    </div>
</form>